Routescope APIRoutescope API
模型接口API文档视频模型

追加上传到已有素材组

向已有 Video Studio 素材组追加上传素材。

向已有素材组追加上传素材。服务端会先检查 groupId 是否属于当前 Token 对应用户;不属于当前用户时不会转发上游,会直接返回 not_found

POST
/v1/api/video-studio/assets/ecloud/{groupId}/upload-and-save
curl -X POST "https://api.routescope.ai/v1/api/video-studio/assets/ecloud/string/upload-and-save" \  -F files="[\n  \"string\"\n]"
{
  "data": {
    "group": {
      "groupId": "group_xxx",
      "groupName": "产品素材组",
      "displayName": "产品素材组",
      "groupType": "AIGC"
    },
    "assets": [
      {
        "fileName": "image.png",
        "assetName": "image.png",
        "assetType": "Image",
        "assetId": "asset_xxx",
        "assetUrl": "https://example.com/path/to/asset.png",
        "coverUrl": "https://example.com/path/to/asset.png",
        "status": "SUCCESS",
        "createdTime": "2026-06-30T00:00:00Z"
      }
    ]
  },
  "error": {
    "code": "not_found",
    "message": "asset group not found"
  },
  "request_id": "req_xxx"
}
{
  "data": null,
  "error": {
    "code": "not_found",
    "message": "asset group not found"
  },
  "request_id": "req_xxx"
}

Authorization

BearerAuth

AuthorizationBearer <token>

使用本项目网关 Token:Authorization: Bearer <API_TOKEN>。注意这里不是上游素材库 API Key。

In: header

Path Parameters

groupId*string

上游返回的素材组 ID。本项目会根据当前用户校验该 groupId 的本地归属关系。

Request Body

multipart/form-data

files*array<file>

追加上传的素材文件数组,最多 20 个。

Itemsitems <= 20

Response Body

application/json

application/json

最后更新于